fair::mq::fsm::Machine_ Struct Reference
Inheritance diagram for fair::mq::fsm::Machine_:
[legend]
Collaboration diagram for fair::mq::fsm::Machine_:
[legend]

## Classes

struct | AutomaticFct
struct | DefaultFct
struct | ErrorFoundFct
struct | ExitingFct
struct | InternalStopFct
struct | PauseFct
struct | StopFct
struct | transition_table

## Public Types

using | initial_state = boost::mpl::vector< IDLE_FSM_STATE, OK_FSM_STATE >

## Public Member Functions

template<typename Event , typename FSM >
void | on_entry (Event const &, FSM &)
template<typename Event , typename FSM >
void | on_exit (Event const &, FSM &)
template<typename FSM , typename Event >
void | no_transition (Event const &e, FSM &, int state)
void | CallStateChangeCallbacks (const FairMQStateMachine::State state) const
void | ProcessWork ()

## Public Attributes

function< void(void)> | fUnblockHandler
unordered_map< FairMQStateMachine::Event, function< void(void)> > | fStateHandlers
function< void(void)> | fWork
condition_variable | fWorkAvailableCondition
condition_variable | fWorkDoneCondition
mutex | fWorkMutex
bool | fWorkerTerminated
bool | fWorkActive
bool | fWorkAvailable
boost::signals2::signal< void(const FairMQStateMachine::State)> | fStateChangeSignal
unordered_map< string, boost::signals2::connection > | fStateChangeSignalsMap
atomic< FairMQStateMachine::State > | fState

The documentation for this struct was generated from the following file:

- fairmq/FairMQStateMachine.cxx

privacy